### A free/open-source library for quantitative finance

Public Member Functions
VarianceGammaEngine Class Reference
Vanilla option engines

Variance Gamma Pricing engine for European vanilla options using integral approach. More...

`#include <ql/experimental/variancegamma/analyticvariancegammaengine.hpp>`

Inherits engine.

List of all members.

## Public Member Functions

| VarianceGammaEngine (const boost::shared_ptr< VarianceGammaProcess > &)
void | calculate () const

## Detailed Description

Variance Gamma Pricing engine for European vanilla options using integral approach.

Tests:
  the correctness of the returned values is tested by checking it against known good results.